      program qui_suis_je
      ! use mpi

      implicit none

      include 'mpif.h'

      integer, dimension( MPI_STATUS_SIZE ) :: statut
      integer, parameter :: etiquette=100
      integer :: nb_procs, rang, code, valeur
      
      call MPI_INIT( code )
     
      call MPI_COMM_SIZE( MPI_COMM_WORLD, nb_procs, code )
      call MPI_COMM_RANK( MPI_COMM_WORLD, rang, code )
      
      print *, 'je suis le processus ', rang, ' parmi ', nb_procs
      
      if ( rang == 1 ) then
        valeur = 1000
        call MPI_SEND( valeur, 1, MPI_INTEGER, 3, etiquette, MPI_COMM_WORLD, code )
        print *, ' Processus 1 envoi ', valeur , ' a processus 3'
      elseif ( rang == 3 ) then
        call MPI_RECV( valeur, 1, MPI_INTEGER, 1, etiquette, MPI_COMM_WORLD, statut, code )
        print *, ' Processus 3 a reu ', valeur , ' du processus 1'
      end if
      
      
      call MPI_FINALIZE( code )
      
      end program qui_suis_je
      
