/*
 * MPI version of HelloWorld.c compilation: mpicc -o hello hello.c
 * mpirun -np number_of_processes hello
 */

 #include <stdio.h>
 #include "mpi.h" 

int main(int argc, char* argv[]){
  int rank, size;         //process rank and number of processes
     
  MPI_Init(&argc, &argv); //MPI initialize
        
  MPI_Comm_size(MPI_COMM_WORLD, &size);
  MPI_Comm_rank(MPI_COMM_WORLD, &rank);
        
  printf("Hello world from process %d of %d\n", rank, size);
     
  MPI_Finalize();         //MPI finalize
  return 0;
 }
